commit: f365cfb24d0dbe2ff8ff620da43fc4c4f3132be5
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 15 08:34:43 2017 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Mar 15 11:40:40 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f365cfb2
gnome-extra/evolution-data-server: bump to 3.22.6
Ensures more than 100 google tasks can be retrieved with eds[google]
by depending on the necessary newer libgdata (configure.ac checks for
new function added in that version to enable this)
Package-Manager: Portage-2.3.4, Repoman-2.3.1
gnome-extra/evolution-data-server/Manifest | 1 +
.../evolution-data-server-3.22.6.ebuild | 128 +++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/gnome-extra/evolution-data-server/Manifest
b/gnome-extra/evolution-data-server/Manifest
index def80b73c18..e1ef19a071e 100644
--- a/gnome-extra/evolution-data-server/Manifest
+++ b/gnome-extra/evolution-data-server/Manifest
@@ -1,2 +1,3 @@
DIST evolution-data-server-3.20.6.tar.xz 5069584 SHA256
c9280149477cc0c75c20214814cfc54f0e5827c40080dadbbe4b4188479913aa SHA512
0526e64c407bd569b8fb45faeb902cdc15e46e5020c4187d76102f8e0b3173fdd0a742383cfed8de0351dd719c2ad33b39c7d4cd656312d07526ae8b85198dbc
WHIRLPOOL
e229d245ae79c6ecc2910bc6f110314e568d6afc546157af4e2a98be85e67ac1615f4085f3a4df2a94e658881ef6aa1c6d336b4ae3211bd0a85b2a81eef64f91
DIST evolution-data-server-3.22.4.tar.xz 5559372 SHA256
0c9c64f209bfd50dbace342ab3b673bcea74ad5fe01a7bc87c1a98d997349cb8 SHA512
38773c4ac65e69b02fd6d5abb0db843f038c383391e1c1006e54bda518f89741b6637f480d70e3cd79b31a812190d55ceec5c8b187d62d9ce582b0d6c362850c
WHIRLPOOL
d7808803328fcdcaab60934f7b674c599c04242bf6edd751cdc32de99b672a5f6d91b0f48bd42596c66400c09a73e26340b443216118667bfa58ca0fd5cb7cb8
+DIST evolution-data-server-3.22.6.tar.xz 5566420 SHA256
0a69b9d2c03f7a6f68abbd7c7f8c76d333aca9e6102e796d88daed3284e91ca6 SHA512
b3b2efce558fe1f11d4fe6a6f4c7ef875ef5e5498e23a37d5a32e90731aded0199b3c8c5adbc09e083b33875b62ce6e084f0184a162dbdd05b0141a40a1f5a94
WHIRLPOOL
1be4378e756855eeb06b406c4823e59598db2cf9aee829bb28a1c6ee259f2cdb346eab6f46c5f7a6c554c77b5ee0547b0fa62dd883ac98e9060dfe6895a934b8
diff --git
a/gnome-extra/evolution-data-server/evolution-data-server-3.22.6.ebuild
b/gnome-extra/evolution-data-server/evolution-data-server-3.22.6.ebuild
new file mode 100644
index 00000000000..3908358bd6f
--- /dev/null
+++ b/gnome-extra/evolution-data-server/evolution-data-server-3.22.6.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+VALA_USE_DEPEND="vapigen"
+
+inherit db-use flag-o-matic gnome2 python-any-r1 systemd vala virtualx
+
+DESCRIPTION="Evolution groupware backend"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) BSD Sleepycat"
+SLOT="0/59" # subslot = libcamel-1.2 soname version
+
+IUSE="api-doc-extras berkdb +gnome-online-accounts +gtk google +introspection
ipv6 ldap kerberos vala +weather"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd
~amd64-linux ~x86-linux ~x86-solaris"
+
+# sys-libs/db is only required for migrating from <3.13 versions
+# gdata-0.15.1 is required for google tasks
+# gdata-0.17.7 soft required for new gdata_feed_get_next_page_token API to
handle more than 100 google tasks
+# berkdb needed only for migrating old calendar data, bug #519512
+RDEPEND="
+ >=app-crypt/gcr-3.4
+ >=app-crypt/libsecret-0.5[crypt]
+ >=dev-db/sqlite-3.7.17:=
+ >=dev-libs/glib-2.46:2
+ >=dev-libs/libgdata-0.10:=
+ >=dev-libs/libical-0.43:=
+ >=dev-libs/libxml2-2
+ >=dev-libs/nspr-4.4:=
+ >=dev-libs/nss-3.9:=
+ >=net-libs/libsoup-2.42:2.4
+
+ dev-libs/icu:=
+ sys-libs/zlib:=
+ virtual/libiconv
+
+ berkdb? ( >=sys-libs/db-4:= )
+ gtk? (
+ >=app-crypt/gcr-3.4[gtk]
+ >=x11-libs/gtk+-3.10:3
+ )
+ google? (
+ >=dev-libs/json-glib-1.0.4
+ >=dev-libs/libgdata-0.17.7:=
+ >=net-libs/webkit-gtk-2.11.91:4
+ )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.8:= )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+ kerberos? ( virtual/krb5:= )
+ ldap? ( >=net-nds/openldap-2:= )
+ weather? ( >=dev-libs/libgweather-3.10:2= )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ dev-util/gdbus-codegen
+ dev-util/gperf
+ >=dev-util/gtk-doc-am-1.14
+ >=dev-util/intltool-0.35.5
+ >=gnome-base/gnome-common-2
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+ vala? ( $(vala_depend) )
+"
+
+# Some tests fail due to missings locales.
+# Also, dbus tests are flacky, bugs #397975 #501834
+# It looks like a nightmare to disable those for now.
+RESTRICT="test"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # /usr/include/db.h is always db-1 on FreeBSD
+ # so include the right dir in CPPFLAGS
+ use berkdb && append-cppflags "-I$(db_includedir)"
+
+ # phonenumber does not exist in tree
+ gnome2_src_configure \
+ $(use_enable api-doc-extras gtk-doc) \
+ $(use_with api-doc-extras private-docs) \
+ $(usex berkdb --with-libdb="${EPREFIX}"/usr --with-libdb=no) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable gtk) \
+ $(use_enable google google-auth) \
+ $(use_enable google) \
+ $(use_enable introspection) \
+ $(use_enable ipv6) \
+ $(use_with kerberos krb5 "${EPREFIX}"/usr) \
+ $(use_with kerberos krb5-libs "${EPREFIX}"/usr/$(get_libdir)) \
+ $(use_with ldap openldap) \
+ $(use_enable vala vala-bindings) \
+ $(use_enable weather) \
+ --enable-largefile \
+ --enable-smime \
+ --with-systemduserunitdir="$(systemd_get_userunitdir)" \
+ --without-phonenumber \
+ --disable-examples \
+ --disable-uoa
+}
+
+src_test() {
+ unset ORBIT_SOCKETDIR
+ unset SESSION_MANAGER
+ virtx emake check
+}
+
+src_install() {
+ gnome2_src_install
+
+ if use ldap; then
+ insinto /etc/openldap/schema
+ doins "${FILESDIR}"/calentry.schema
+ dosym /usr/share/${PN}/evolutionperson.schema
/etc/openldap/schema/evolutionperson.schema
+ fi
+}